#use(DocEngine.js)

function PptEngine() {};

PptEngine.prototype = new DocEngine;
PptEngine.superClass = DocEngine.prototype;

PptEngine.prototype.reset = function() {
    PptEngine.superClass.reset.call(this); // 
    Document.IgnoreInlineImg = true;
}

PptEngine.prototype.hinweis = function(macro, ts) {
    this.add_bubble_text(macro, -1);
};


PptEngine.prototype.status_info = function(macro, ts) {
    var status_txt = macro.GetParam("status_text");

    Document.BeginParagraph(word_trans('para_bubble_text'));
    Document.AddText(status_txt);
    Document.EndParagraph();
};


PptEngine.prototype.transaction_info = function(macro, ts) {
     var sap_pfad = macro.GetParam("sap_path");
     var tcode = macro.GetParam("tcode");

     if (sap_pfad.length != 0) {
         var i = -1;

         while ((i = sap_pfad.indexOf('->')) != -1) {
             sap_pfad = sap_pfad.substring(0, i) + "&rarr;" + sap_pfad.substring(i + 2, sap_pfad.length);
         }
     }

     Document.BeginParagraph(word_trans('para_bubble_text'));
     Document.AddText(ui_trans('docSAPMenuPath') + ":");
     Document.AddHtmlText(sap_pfad);
     Document.EndParagraph();

     Document.BeginParagraph(word_trans('para_tcode'));
     Document.AddText(ui_trans('docSAPTransaction') + ":");
     Document.AddText(tcode);
     Document.EndParagraph();
};

PptEngine.prototype.explanation_long = function(macro, ts) {
    this.add_bubble_text(macro, -1);
};

DocEngine.prototype.mchoice = function(macro, ts) {};
DocEngine.prototype.sqmaquiz = function(macro, ts) {};
DocEngine.prototype.fibquiz = function(macro, ts) {};
DocEngine.prototype.matchquiz = function(macro, ts) {};
DocEngine.prototype.mixquiz = function(macro, ts) {};
DocEngine.prototype.scalequiz = function(macro, ts) {};
DocEngine.prototype.gridquiz = function(macro, ts) {};
DocEngine.prototype.quiz_eval = function(macro, ts) {};
DocEngine.prototype.quiz_shuffle_on = function(macro, ts) {};
DocEngine.prototype.quiz_shuffle_off = function(macro, ts) {};
